package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class ItemContentEntryListBindingImpl extends ItemContentEntryListBinding implements com.toughra.ustadmobile.generated.callback.OnSelectionStateChangedListener.Listener, com.toughra.ustadmobile.generated.callback.OnClickListener.Listener {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = new android.util.SparseIntArray();
        sViewsWithIds.put(R.id.barrier_end, 15);
        sViewsWithIds.put(R.id.content_entry_desc_bottom_barrier, 16);
        sViewsWithIds.put(R.id.content_type_barrier, 17);
        sViewsWithIds.put(R.id.action_btn_holder, 18);
    }
    // views
    // variables
    @Nullable
    private final com.ustadmobile.port.android.view.binding.OnSelectionStateChangedListener mCallback116;
    @Nullable
    private final android.view.View.OnClickListener mCallback117;
    @Nullable
    private final android.view.View.OnClickListener mCallback118;
    @Nullable
    private final android.view.View.OnClickListener mCallback119;
    // values
    // listeners
    // Inverse Binding Event Handlers

    public ItemContentEntryListBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 19, sIncludes, sViewsWithIds));
    }
    private ItemContentEntryListBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            , (android.widget.FrameLayout) bindings[18]
            , (androidx.constraintlayout.widget.Barrier) bindings[15]
            , (androidx.constraintlayout.widget.Barrier) bindings[16]
            , (android.widget.TextView) bindings[6]
            , (android.widget.TextView) bindings[8]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[1]
            , (android.widget.TextView) bindings[5]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[9]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[7]
            , (android.widget.ProgressBar) bindings[2]
            , (com.google.android.material.button.MaterialButton) bindings[14]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[4]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[3]
            , (androidx.constraintlayout.widget.Barrier) bindings[17]
            , (com.ustadmobile.port.android.view.DownloadStatusButton) bindings[13]
            , (androidx.constraintlayout.widget.ConstraintLayout) bindings[0]
            , (android.widget.TextView) bindings[12]
            , (android.widget.TextView) bindings[10]
            , (android.widget.TextView) bindings[11]
            );
        this.contentEntryItemDescription.setTag(null);
        this.contentEntryItemMimetypeText.setTag(null);
        this.contentEntryItemThumbnail.setTag(null);
        this.contentEntryItemTitle.setTag(null);
        this.contentEntryLocallyAvailable.setTag(null);
        this.contentEntryMimetypeIcon.setTag(null);
        this.contentEntryProgress.setTag(null);
        this.contentEntrySelectBtn.setTag(null);
        this.contentEntryStatus.setTag(null);
        this.contentProgressFailCorrect.setTag(null);
        this.downloadStatusButton.setTag(null);
        this.itemContentEntryList.setTag(null);
        this.itemPersonPenalty.setTag(null);
        this.itemPersonProgress.setTag(null);
        this.itemPersonScoreResults.setTag(null);
        setRootTag(root);
        // listeners
        mCallback116 = new com.toughra.ustadmobile.generated.callback.OnSelectionStateChangedListener(this, 1);
        mCallback117 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 2);
        mCallback118 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 3);
        mCallback119 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 4);
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x80L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.itemListener == variableId) {
            setItemListener((com.ustadmobile.core.controller.ContentEntryListItemListener) variable);
        }
        else if (BR.selectablePagedListAdapter == variableId) {
            setSelectablePagedListAdapter((com.ustadmobile.port.android.view.ContentEntryListRecyclerAdapter) variable);
        }
        else if (BR.indentLevel == variableId) {
            setIndentLevel((int) variable);
        }
        else if (BR.locallyAvailable == variableId) {
            setLocallyAvailable((boolean) variable);
        }
        else if (BR.contentEntry == variableId) {
            setContentEntry((com.ustadmobile.lib.db.entities.ContentEntryWithParentChildJoinAndStatusAndMostRecentContainer) variable);
        }
        else if (BR.isPickerMode == variableId) {
            setIsPickerMode((boolean) variable);
        }
        else if (BR.selectFolderVisible == variableId) {
            setSelectFolderVisible((boolean) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setItemListener(@Nullable com.ustadmobile.core.controller.ContentEntryListItemListener ItemListener) {
        this.mItemListener = ItemListener;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.itemListener);
        super.requestRebind();
    }
    public void setSelectablePagedListAdapter(@Nullable com.ustadmobile.port.android.view.ContentEntryListRecyclerAdapter SelectablePagedListAdapter) {
        this.mSelectablePagedListAdapter = SelectablePagedListAdapter;
        synchronized(this) {
            mDirtyFlags |= 0x2L;
        }
        notifyPropertyChanged(BR.selectablePagedListAdapter);
        super.requestRebind();
    }
    public void setIndentLevel(int IndentLevel) {
        this.mIndentLevel = IndentLevel;
        synchronized(this) {
            mDirtyFlags |= 0x4L;
        }
        notifyPropertyChanged(BR.indentLevel);
        super.requestRebind();
    }
    public void setLocallyAvailable(boolean LocallyAvailable) {
        this.mLocallyAvailable = LocallyAvailable;
        synchronized(this) {
            mDirtyFlags |= 0x8L;
        }
        notifyPropertyChanged(BR.locallyAvailable);
        super.requestRebind();
    }
    public void setContentEntry(@Nullable com.ustadmobile.lib.db.entities.ContentEntryWithParentChildJoinAndStatusAndMostRecentContainer ContentEntry) {
        this.mContentEntry = ContentEntry;
        synchronized(this) {
            mDirtyFlags |= 0x10L;
        }
        notifyPropertyChanged(BR.contentEntry);
        super.requestRebind();
    }
    public void setIsPickerMode(boolean IsPickerMode) {
        this.mIsPickerMode = IsPickerMode;
        synchronized(this) {
            mDirtyFlags |= 0x20L;
        }
        notifyPropertyChanged(BR.isPickerMode);
        super.requestRebind();
    }
    public void setSelectFolderVisible(boolean SelectFolderVisible) {
        this.mSelectFolderVisible = SelectFolderVisible;
        synchronized(this) {
            mDirtyFlags |= 0x40L;
        }
        notifyPropertyChanged(BR.selectFolderVisible);
        super.requestRebind();
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        long contentEntryContentEntryUid = 0;
        int contentEntryContentTypeFlag = 0;
        int stringExtKtVisibleIfNotNullOrEmptyContentEntryDescription = 0;
        int isPickerModeContentEntryLeafBooleanTrueSelectFolderVisibleViewVISIBLEViewGONE = 0;
        int contentEntryLeafViewVISIBLEViewGONE = 0;
        com.ustadmobile.port.android.view.util.ForeignKeyAttachmentUriAdapter contentEntryDetailFragmentFOREIGNKEYADAPTERENTRY = null;
        com.ustadmobile.core.controller.ContentEntryListItemListener itemListener = mItemListener;
        int locallyAvailableViewVISIBLEViewGONE = 0;
        java.lang.String javaLangStringContentEntryScoreProgressResultScoreJavaLangStringContentEntryScoreProgressResultMax = null;
        boolean contentEntryScoreProgressPenaltyInt0 = false;
        java.lang.String contentEntryDescription = null;
        int contentEntryScoreProgressResultMax = 0;
        com.ustadmobile.port.android.view.ContentEntryListRecyclerAdapter selectablePagedListAdapter = mSelectablePagedListAdapter;
        int indentLevel = mIndentLevel;
        android.graphics.drawable.Drawable contentEntryLeafContentEntryItemThumbnailAndroidDrawableIcRoundBookContentEntryItemThumbnailAndroidDrawableIcRoundFolder = null;
        int contentEntryScoreProgressProgress = 0;
        boolean locallyAvailable = mLocallyAvailable;
        int contentEntryScoreProgressPenaltyInt0ViewGONEViewVISIBLE = 0;
        com.ustadmobile.lib.db.entities.ContentEntryWithParentChildJoinAndStatusAndMostRecentContainer contentEntry = mContentEntry;
        boolean isPickerMode = mIsPickerMode;
        java.lang.String javaLangStringContentEntryScoreProgressResultScoreJavaLangStringContentEntryScoreProgressResultMaxJavaLangString = null;
        java.lang.String javaLangStringContentEntryScoreProgressResultScoreJavaLangString = null;
        boolean contentEntryCeInactive = false;
        java.lang.String javaLangStringContentEntryScoreProgressResultScore = null;
        boolean selectFolderVisible = mSelectFolderVisible;
        boolean contentEntryLeafBooleanTrueSelectFolderVisible = false;
        boolean contentEntryLeaf = false;
        com.ustadmobile.lib.db.entities.ContentEntryStatementScoreProgress contentEntryScoreProgress = null;
        int isPickerModeViewGONEViewVISIBLE = 0;
        boolean contentEntryScoreProgressProgressInt0 = false;
        int contentEntryScoreProgressResultScore = 0;
        int contentEntryScoreProgressPenalty = 0;
        float contentEntryCeInactiveFloat5fFloat1f = 0f;
        java.lang.String itemPersonPenaltyAndroidStringLatePenaltyContentEntryScoreProgressPenalty = null;
        java.lang.String contentEntryTitle = null;
        int contentEntryScoreProgressProgressInt0ViewVISIBLEViewGONE = 0;
        boolean isPickerModeContentEntryLeafBooleanTrueSelectFolderVisible = false;

        if ((dirtyFlags & 0x80L) != 0) {

                // read ContentEntryDetailFragment.FOREIGNKEYADAPTER_ENTRY
                contentEntryDetailFragmentFOREIGNKEYADAPTERENTRY = com.ustadmobile.port.android.view.ContentEntryDetailFragment.getFOREIGNKEYADAPTER_ENTRY();
        }
        if ((dirtyFlags & 0x82L) != 0) {
        }
        if ((dirtyFlags & 0x84L) != 0) {
        }
        if ((dirtyFlags & 0x88L) != 0) {

            if((dirtyFlags & 0x88L) != 0) {
                if(locallyAvailable) {
                        dirtyFlags |= 0x2000L;
                }
                else {
                        dirtyFlags |= 0x1000L;
                }
            }


                // read locallyAvailable ? View.VISIBLE : View.GONE
                locallyAvailableViewVISIBLEViewGONE = ((locallyAvailable) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
        }
        if ((dirtyFlags & 0xf0L) != 0) {

            if((dirtyFlags & 0xa0L) != 0) {
                if(isPickerMode) {
                        dirtyFlags |= 0x200000L;
                }
                else {
                        dirtyFlags |= 0x100000L;
                }
            }

            if ((dirtyFlags & 0x90L) != 0) {

                    if (contentEntry != null) {
                        // read contentEntry.contentEntryUid
                        contentEntryContentEntryUid = contentEntry.getContentEntryUid();
                        // read contentEntry.contentTypeFlag
                        contentEntryContentTypeFlag = contentEntry.getContentTypeFlag();
                        // read contentEntry.description
                        contentEntryDescription = contentEntry.getDescription();
                        // read contentEntry.ceInactive
                        contentEntryCeInactive = contentEntry.getCeInactive();
                        // read contentEntry.scoreProgress
                        contentEntryScoreProgress = contentEntry.getScoreProgress();
                        // read contentEntry.title
                        contentEntryTitle = contentEntry.getTitle();
                    }
                if((dirtyFlags & 0x90L) != 0) {
                    if(contentEntryCeInactive) {
                            dirtyFlags |= 0x800000L;
                    }
                    else {
                            dirtyFlags |= 0x400000L;
                    }
                }


                    // read StringExtKt.visibleIfNotNullOrEmpty(contentEntry.description)
                    stringExtKtVisibleIfNotNullOrEmptyContentEntryDescription = com.ustadmobile.port.android.view.ext.StringExtKt.visibleIfNotNullOrEmpty(contentEntryDescription);
                    // read contentEntry.ceInactive ? .5f : 1f
                    contentEntryCeInactiveFloat5fFloat1f = ((contentEntryCeInactive) ? (.5f) : (1f));
                    if (contentEntryScoreProgress != null) {
                        // read contentEntry.scoreProgress.resultMax
                        contentEntryScoreProgressResultMax = contentEntryScoreProgress.getResultMax();
                        // read contentEntry.scoreProgress.progress
                        contentEntryScoreProgressProgress = contentEntryScoreProgress.getProgress();
                        // read contentEntry.scoreProgress.resultScore
                        contentEntryScoreProgressResultScore = contentEntryScoreProgress.getResultScore();
                        // read contentEntry.scoreProgress.penalty
                        contentEntryScoreProgressPenalty = contentEntryScoreProgress.getPenalty();
                    }


                    // read contentEntry.scoreProgress.progress > 0
                    contentEntryScoreProgressProgressInt0 = (contentEntryScoreProgressProgress) > (0);
                    // read ("(") + (contentEntry.scoreProgress.resultScore)
                    javaLangStringContentEntryScoreProgressResultScore = ("(") + (contentEntryScoreProgressResultScore);
                    // read contentEntry.scoreProgress.penalty == 0
                    contentEntryScoreProgressPenaltyInt0 = (contentEntryScoreProgressPenalty) == (0);
                    // read @android:string/late_penalty
                    itemPersonPenaltyAndroidStringLatePenaltyContentEntryScoreProgressPenalty = itemPersonPenalty.getResources().getString(R.string.late_penalty, contentEntryScoreProgressPenalty);
                if((dirtyFlags & 0x90L) != 0) {
                    if(contentEntryScoreProgressProgressInt0) {
                            dirtyFlags |= 0x2000000L;
                    }
                    else {
                            dirtyFlags |= 0x1000000L;
                    }
                }
                if((dirtyFlags & 0x90L) != 0) {
                    if(contentEntryScoreProgressPenaltyInt0) {
                            dirtyFlags |= 0x20000L;
                    }
                    else {
                            dirtyFlags |= 0x10000L;
                    }
                }


                    // read contentEntry.scoreProgress.progress > 0 ? View.VISIBLE : View.GONE
                    contentEntryScoreProgressProgressInt0ViewVISIBLEViewGONE = ((contentEntryScoreProgressProgressInt0) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
                    // read (("(") + (contentEntry.scoreProgress.resultScore)) + ("/")
                    javaLangStringContentEntryScoreProgressResultScoreJavaLangString = (javaLangStringContentEntryScoreProgressResultScore) + ("/");
                    // read contentEntry.scoreProgress.penalty == 0 ? View.GONE : View.VISIBLE
                    contentEntryScoreProgressPenaltyInt0ViewGONEViewVISIBLE = ((contentEntryScoreProgressPenaltyInt0) ? (android.view.View.GONE) : (android.view.View.VISIBLE));


                    // read ((("(") + (contentEntry.scoreProgress.resultScore)) + ("/")) + (contentEntry.scoreProgress.resultMax)
                    javaLangStringContentEntryScoreProgressResultScoreJavaLangStringContentEntryScoreProgressResultMax = (javaLangStringContentEntryScoreProgressResultScoreJavaLangString) + (contentEntryScoreProgressResultMax);


                    // read (((("(") + (contentEntry.scoreProgress.resultScore)) + ("/")) + (contentEntry.scoreProgress.resultMax)) + (")")
                    javaLangStringContentEntryScoreProgressResultScoreJavaLangStringContentEntryScoreProgressResultMaxJavaLangString = (javaLangStringContentEntryScoreProgressResultScoreJavaLangStringContentEntryScoreProgressResultMax) + (")");
            }

                if (contentEntry != null) {
                    // read contentEntry.leaf
                    contentEntryLeaf = contentEntry.getLeaf();
                }
            if((dirtyFlags & 0x90L) != 0) {
                if(contentEntryLeaf) {
                        dirtyFlags |= 0x800L;
                        dirtyFlags |= 0x8000L;
                }
                else {
                        dirtyFlags |= 0x400L;
                        dirtyFlags |= 0x4000L;
                }
            }
            if((dirtyFlags & 0xf0L) != 0) {
                if(contentEntryLeaf) {
                        dirtyFlags |= 0x80000L;
                }
                else {
                        dirtyFlags |= 0x40000L;
                }
            }

            if ((dirtyFlags & 0x90L) != 0) {

                    // read contentEntry.leaf ? View.VISIBLE : View.GONE
                    contentEntryLeafViewVISIBLEViewGONE = ((contentEntryLeaf) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
                    // read contentEntry.leaf ? @android:drawable/ic_round_book : @android:drawable/ic_round_folder
                    contentEntryLeafContentEntryItemThumbnailAndroidDrawableIcRoundBookContentEntryItemThumbnailAndroidDrawableIcRoundFolder = ((contentEntryLeaf) ? (androidx.appcompat.content.res.AppCompatResources.getDrawable(contentEntryItemThumbnail.getContext(), R.drawable.ic_round_book)) : (androidx.appcompat.content.res.AppCompatResources.getDrawable(contentEntryItemThumbnail.getContext(), R.drawable.ic_round_folder)));
            }
            if ((dirtyFlags & 0xa0L) != 0) {

                    // read isPickerMode ? View.GONE : View.VISIBLE
                    isPickerModeViewGONEViewVISIBLE = ((isPickerMode) ? (android.view.View.GONE) : (android.view.View.VISIBLE));
            }
        }
        // batch finished

        if ((dirtyFlags & 0x40000L) != 0) {
        }

        if ((dirtyFlags & 0xf0L) != 0) {

                // read contentEntry.leaf ? true : selectFolderVisible
                contentEntryLeafBooleanTrueSelectFolderVisible = ((contentEntryLeaf) ? (true) : (selectFolderVisible));


                // read (isPickerMode) & (contentEntry.leaf ? true : selectFolderVisible)
                isPickerModeContentEntryLeafBooleanTrueSelectFolderVisible = (isPickerMode) & (contentEntryLeafBooleanTrueSelectFolderVisible);
            if((dirtyFlags & 0xf0L) != 0) {
                if(isPickerModeContentEntryLeafBooleanTrueSelectFolderVisible) {
                        dirtyFlags |= 0x200L;
                }
                else {
                        dirtyFlags |= 0x100L;
                }
            }


                // read (isPickerMode) & (contentEntry.leaf ? true : selectFolderVisible) ? View.VISIBLE : View.GONE
                isPickerModeContentEntryLeafBooleanTrueSelectFolderVisibleViewVISIBLEViewGONE = ((isPickerModeContentEntryLeafBooleanTrueSelectFolderVisible) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
        }
        // batch finished
        if ((dirtyFlags & 0x90L) != 0) {
            // api target 1

            this.contentEntryItemDescription.setVisibility(stringExtKtVisibleIfNotNullOrEmptyContentEntryDescription);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.contentEntryItemDescription, contentEntryDescription);
            this.contentEntryItemMimetypeText.setVisibility(contentEntryLeafViewVISIBLEViewGONE);
            com.ustadmobile.port.android.view.binding.TextViewBindingsKt.setTextMessageIdOptionSelected(this.contentEntryItemMimetypeText, contentEntryContentTypeFlag);
            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.setImageFilePath(this.contentEntryItemThumbnail, (java.lang.String)null, contentEntryLeafContentEntryItemThumbnailAndroidDrawableIcRoundBookContentEntryItemThumbnailAndroidDrawableIcRoundFolder);
            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.setImageForeignKey(this.contentEntryItemThumbnail, contentEntryContentEntryUid, (java.lang.String)null);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.contentEntryItemTitle, contentEntryTitle);
            this.contentEntryMimetypeIcon.setVisibility(contentEntryLeafViewVISIBLEViewGONE);
            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.setImageLookupKey(this.contentEntryMimetypeIcon, contentEntryContentTypeFlag);
            this.contentEntryProgress.setProgress(contentEntryScoreProgressProgress);
            this.contentEntryProgress.setVisibility(contentEntryScoreProgressProgressInt0ViewVISIBLEViewGONE);
            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.setIconOnProgressFlag(this.contentProgressFailCorrect, contentEntryScoreProgress);
            this.itemContentEntryList.setTag(contentEntryContentEntryUid);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.itemPersonPenalty, itemPersonPenaltyAndroidStringLatePenaltyContentEntryScoreProgressPenalty);
            this.itemPersonPenalty.setVisibility(contentEntryScoreProgressPenaltyInt0ViewGONEViewVISIBLE);
            com.ustadmobile.port.android.view.binding.TextViewBindingsKt.setScorePercentage(this.itemPersonProgress, contentEntryScoreProgress);
            com.ustadmobile.port.android.view.binding.ViewBindingsKt.setScoreVisibility(this.itemPersonProgress, contentEntryScoreProgress);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.itemPersonScoreResults, javaLangStringContentEntryScoreProgressResultScoreJavaLangStringContentEntryScoreProgressResultMaxJavaLangString);
            com.ustadmobile.port.android.view.binding.ViewBindingsKt.setScoreVisibility(this.itemPersonScoreResults, contentEntryScoreProgress);
            // api target 11
            if(getBuildSdkInt() >= 11) {

                this.contentEntryItemDescription.setAlpha(contentEntryCeInactiveFloat5fFloat1f);
                this.contentEntryItemMimetypeText.setAlpha(contentEntryCeInactiveFloat5fFloat1f);
                this.contentEntryItemThumbnail.setAlpha(contentEntryCeInactiveFloat5fFloat1f);
                this.contentEntryItemTitle.setAlpha(contentEntryCeInactiveFloat5fFloat1f);
                this.contentEntryLocallyAvailable.setAlpha(contentEntryCeInactiveFloat5fFloat1f);
                this.contentEntryMimetypeIcon.setAlpha(contentEntryCeInactiveFloat5fFloat1f);
                this.contentEntryProgress.setAlpha(contentEntryCeInactiveFloat5fFloat1f);
                this.contentEntrySelectBtn.setAlpha(contentEntryCeInactiveFloat5fFloat1f);
                this.contentEntryStatus.setAlpha(contentEntryCeInactiveFloat5fFloat1f);
                this.contentProgressFailCorrect.setAlpha(contentEntryCeInactiveFloat5fFloat1f);
                this.downloadStatusButton.setAlpha(contentEntryCeInactiveFloat5fFloat1f);
                this.itemContentEntryList.setAlpha(contentEntryCeInactiveFloat5fFloat1f);
            }
        }
        if ((dirtyFlags & 0x80L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.TextViewBindingsKt.setTextMessageIdOptions(this.contentEntryItemMimetypeText, com.ustadmobile.port.android.view.ContentEntryList2Fragment.CONTENT_ENTRY_TYPE_LABEL_MAP, (java.lang.Integer)null, (java.lang.String)null);
            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.setImageForeignKeyAdapter(this.contentEntryItemThumbnail, contentEntryDetailFragmentFOREIGNKEYADAPTERENTRY);
            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.setImageLookupMap(this.contentEntryMimetypeIcon, com.ustadmobile.port.android.view.ContentEntryList2Fragment.CONTENT_ENTRY_TYPE_ICON_MAP, (java.lang.Integer)null);
            this.contentEntrySelectBtn.setOnClickListener(mCallback119);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.contentEntrySelectBtn, contentEntrySelectBtn.getResources().getString(R.string.select_item, ""));
            this.downloadStatusButton.setOnClickListener(mCallback118);
        }
        if ((dirtyFlags & 0x88L) != 0) {
            // api target 1

            this.contentEntryLocallyAvailable.setVisibility(locallyAvailableViewVISIBLEViewGONE);
        }
        if ((dirtyFlags & 0xf0L) != 0) {
            // api target 1

            this.contentEntrySelectBtn.setVisibility(isPickerModeContentEntryLeafBooleanTrueSelectFolderVisibleViewVISIBLEViewGONE);
        }
        if ((dirtyFlags & 0xa0L) != 0) {
            // api target 1

            this.downloadStatusButton.setVisibility(isPickerModeViewGONEViewVISIBLE);
        }
        if ((dirtyFlags & 0x84L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.ViewBindingsKt.setIndentLevel(this.itemContentEntryList, indentLevel);
        }
        if ((dirtyFlags & 0x82L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.ViewBindingsKt.setSelectableViewHelper(this.itemContentEntryList, selectablePagedListAdapter, mCallback117, mCallback116);
        }
    }
    // Listener Stub Implementations
    // callback impls
    public final void _internalCallbackOnSelectionStateChanged(int sourceId , android.view.View callbackArg_0) {
        // localize variables for thread safety
        // selectablePagedListAdapter != null
        boolean selectablePagedListAdapterJavaLangObjectNull = false;
        // selectablePagedListAdapter
        com.ustadmobile.port.android.view.ContentEntryListRecyclerAdapter selectablePagedListAdapter = mSelectablePagedListAdapter;
        // contentEntry
        com.ustadmobile.lib.db.entities.ContentEntryWithParentChildJoinAndStatusAndMostRecentContainer contentEntry = mContentEntry;



        selectablePagedListAdapterJavaLangObjectNull = (selectablePagedListAdapter) != (null);
        if (selectablePagedListAdapterJavaLangObjectNull) {




            selectablePagedListAdapter.onItemSelectedChanged(callbackArg_0, contentEntry);
        }
    }
    public final void _internalCallbackOnClick(int sourceId , android.view.View callbackArg_0) {
        switch(sourceId) {
            case 2: {
                // localize variables for thread safety
                // itemListener
                com.ustadmobile.core.controller.ContentEntryListItemListener itemListener = mItemListener;
                // itemListener != null
                boolean itemListenerJavaLangObjectNull = false;
                // contentEntry
                com.ustadmobile.lib.db.entities.ContentEntryWithParentChildJoinAndStatusAndMostRecentContainer contentEntry = mContentEntry;



                itemListenerJavaLangObjectNull = (itemListener) != (null);
                if (itemListenerJavaLangObjectNull) {



                    itemListener.onClickContentEntry(contentEntry);
                }
                break;
            }
            case 3: {
                // localize variables for thread safety
                // itemListener
                com.ustadmobile.core.controller.ContentEntryListItemListener itemListener = mItemListener;
                // itemListener != null
                boolean itemListenerJavaLangObjectNull = false;
                // contentEntry
                com.ustadmobile.lib.db.entities.ContentEntryWithParentChildJoinAndStatusAndMostRecentContainer contentEntry = mContentEntry;



                itemListenerJavaLangObjectNull = (itemListener) != (null);
                if (itemListenerJavaLangObjectNull) {



                    itemListener.onClickDownloadContentEntry(contentEntry);
                }
                break;
            }
            case 4: {
                // localize variables for thread safety
                // itemListener
                com.ustadmobile.core.controller.ContentEntryListItemListener itemListener = mItemListener;
                // itemListener != null
                boolean itemListenerJavaLangObjectNull = false;
                // contentEntry
                com.ustadmobile.lib.db.entities.ContentEntryWithParentChildJoinAndStatusAndMostRecentContainer contentEntry = mContentEntry;



                itemListenerJavaLangObjectNull = (itemListener) != (null);
                if (itemListenerJavaLangObjectNull) {



                    itemListener.onClickSelectContentEntry(contentEntry);
                }
                break;
            }
        }
    }
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): itemListener
        flag 1 (0x2L): selectablePagedListAdapter
        flag 2 (0x3L): indentLevel
        flag 3 (0x4L): locallyAvailable
        flag 4 (0x5L): contentEntry
        flag 5 (0x6L): isPickerMode
        flag 6 (0x7L): selectFolderVisible
        flag 7 (0x8L): null
        flag 8 (0x9L): (isPickerMode) & (contentEntry.leaf ? true : selectFolderVisible) ? View.VISIBLE : View.GONE
        flag 9 (0xaL): (isPickerMode) & (contentEntry.leaf ? true : selectFolderVisible) ? View.VISIBLE : View.GONE
        flag 10 (0xbL): contentEntry.leaf ? View.VISIBLE : View.GONE
        flag 11 (0xcL): contentEntry.leaf ? View.VISIBLE : View.GONE
        flag 12 (0xdL): locallyAvailable ? View.VISIBLE : View.GONE
        flag 13 (0xeL): locallyAvailable ? View.VISIBLE : View.GONE
        flag 14 (0xfL): contentEntry.leaf ? @android:drawable/ic_round_book : @android:drawable/ic_round_folder
        flag 15 (0x10L): contentEntry.leaf ? @android:drawable/ic_round_book : @android:drawable/ic_round_folder
        flag 16 (0x11L): contentEntry.scoreProgress.penalty == 0 ? View.GONE : View.VISIBLE
        flag 17 (0x12L): contentEntry.scoreProgress.penalty == 0 ? View.GONE : View.VISIBLE
        flag 18 (0x13L): contentEntry.leaf ? true : selectFolderVisible
        flag 19 (0x14L): contentEntry.leaf ? true : selectFolderVisible
        flag 20 (0x15L): isPickerMode ? View.GONE : View.VISIBLE
        flag 21 (0x16L): isPickerMode ? View.GONE : View.VISIBLE
        flag 22 (0x17L): contentEntry.ceInactive ? .5f : 1f
        flag 23 (0x18L): contentEntry.ceInactive ? .5f : 1f
        flag 24 (0x19L): contentEntry.scoreProgress.progress > 0 ? View.VISIBLE : View.GONE
        flag 25 (0x1aL): contentEntry.scoreProgress.progress > 0 ? View.VISIBLE : View.GONE
    flag mapping end*/
    //end
}